<!--pages/mine/index.wxml-->
<view class="mine">
   <view class="header">
      <view class="top">
         <view class="left">
            <button  open-type="getUserInfo" bindgetuserinfo="getUserInfo"  wx:if="{{name=== ''}}"> 登录/注册 </button>
            <!-- <button open-type="getPhoneNumber" bindgetphonenumber="getPhoneNumber" >登录/注册</button> -->
            <view class="login_btn" wx:if="{{name!== ''  && isVip === '0'}}" bindtap="openVip">
            {{name}}
               <view class="vipbox" >开通VIP</view>
            </view>
            <view class="login_btn" wx:if="{{name!== ''  && isVip === '1'}}" bindtap="myvip">
            {{name}}
               <view class="vipbox1" >VIP</view>
            </view>
            <text>重启学习习惯，为未来埋下无限可能</text>
         </view>
          <image src="{{imgUser}}" ></image>     
      </view>
      <view class="box">
         <view class="item">
            <view class="num">{{studyDays}}</view>
            <text>累计学习(天)</text>
         </view>
         <view class="item">
            <view class="num">{{totalDuration}}</view>
            <text>学习时长(分钟)</text>
         </view>
         <view class="item">
            <view class="num">{{courseCounts}}</view>
            <text>学习课程</text>
         </view>
      </view>
   </view>
   <view class="content">
    <view class="vip" wx:if="{{isVip === '0'}}">
          <image src="../../assets/images/mine_bg.png" class="bg"></image>
          <view class="logo">
         <image src="../../assets/images/mine_vip.png" ></image>
         <view class="title">开通VIP，全部课程免费看</view>
         <view class="btn_right" bindtap="openVip">立即开通</view>
          </view>
       </view>
       <view class="item" style="border:none" >
          <view class="title" style="border:none">我的套餐</view>
          <!-- <image src="../../assets/images/mine_right.png" ></image> -->
       </view>
       <view class="list" >
          <view class="nodata"  wx:if="{{listData.length === 0}}">
            <view class="bg"  bindtap="toLesson"></view>
            <text>发现好课程</text>
            <image src="../../assets/images/mine_add.png" class="add"  bindtap="toLesson"></image>
          </view>   
          <view class="package" wx:for="{{listData}}" bindtap="toPackage" data-index="{{item.categoryId}}" data-name="{{item.productName}}">
             <image src="{{item.poster}}"></image>
             <view>{{item.productName}}</view>
          </view>
       </view>
      </view>
       <view class="content">
       <view class="item"  bindtap="toHistory">
            <view  class="title">观看历史</view>
            <image src="../../assets/images/mine_right.png"></image>
         </view>
         <view class="item"  bindtap="myCollection">
            <view  class="title">我的收藏</view>
            <image src="../../assets/images/mine_right.png"></image>
         </view>
         <view class="item"  bindtap="myOrder">
            <view  class="title">我的订单</view>
            <image src="../../assets/images/mine_right.png"></image>
         </view>
         <view class="item" style="border:none" bindtap="contact">
            <view  class="title">联系我们</view>
            <view class="msg">周一至周日9:00-18:00</view>
            <image src="../../assets/images/mine_right.png"></image>
         </view>
       </view>
</view>
